Name:           qwhitesurgtkdecorations
Version:        0.1.0
Release:        1%{?dist}
Summary:        Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations

License:        LGPL-2.1
URL:            https://github.com/FengZhongShaoNian/QWhiteSurGtkDecorations
Source0:        %{url}/archive/%{version}/QWhiteSurGtkDecorations-%{version}.tar.gz

BuildRequires:  cmake make qt5-qtwayland-devel qt5-qtsvg-devel qt5-qtbase-devel qt5-qtbase-private-devel qt6-qtwayland-devel qt6-qtsvg-devel qt6-qtbase-devel qt6-qtbase-private-devel

%description
Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%package qt5
Summary:        Qt5 decoration plugin implementing WhiteSur-gtk-like client-side decorations
Requires:       qt5-qtwayland qt5-qtsvg

%description qt5
Qt5 decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%package qt6
Summary:        Qt6 decoration plugin implementing WhiteSur-gtk-like client-side decorations
Requires:       qt6-qtwayland qt6-qtsvg

%description qt6
Qt6 decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%prep
%autosetup -n QWhiteSurGtkDecorations-%{version}

%build
# Qt5 build
%cmake -B build-qt5 -DHAS_QT6_SUPPORT=true -DUSE_QT6=false -DUSE_QT5_THEME_SUPPORT=OFF
%make_build -C build-qt5

# Qt6 build
%cmake -B build-qt6 -DUSE_QT6=true -DUSE_QT5_THEME_SUPPORT=OFF
%make_build -C build-qt6

%install
# Install Qt5 version
%make_install -C build-qt5

# Install Qt6 version
%make_install -C build-qt6

%files qt5
%license LICENSE
%{_libdir}/qt5/plugins/

%files qt6
%license LICENSE
%{_libdir}/qt6/plugins/

%changelog
* Wed Nov 13 2024 Alexandra Travkina <kodersha@icloud.com> - 0.1.0-1
- Initial package
